Summary:     Perl module for numeric comparisons
Name:         perl-Number-Compare
Version:     0.03
Release:     3%{?dist}
License:     GPL+ or Artistic
URL:         https://metacpan.org/release/Number-Compare
Source0:     https://cpan.metacpan.org/authors/id/R/RC/RCLAMP/Number-Compare-%{version}.tar.gz

BuildRequires: make perl-generators perl(Carp) perl(ExtUtils::MakeMaker) perl(Test::More)
Requires:      perl(:MODULE_COMPAT_%{?perl_version})
BuildArch:     noarch

%description
Number::Compare compiles a simple comparison to an anonymous subroutine, which you can call with a
value to be tested again.

%prep
%autosetup -n Number-Compare-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
chmod -R u+w %{buildroot}/*

%check
make test

%files
%doc Changes
%{perl_vendorlib}/Number
%{_mandir}/man3/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.03-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.03-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 16 2023 Shuo Wang <abushwang@tencent.com> - 0.03-1
- initial build
